package com.dali.galery.network

sealed class Result<out R> {
    data class Success<out T>(val data: T, val name: String) : Result<T>()
    data class Error(val exception: Exception) : Result<Nothing>()
}