package com.dali.galery.reflection

import android.graphics.drawable.Drawable
import android.view.View
import android.widget.ImageView
import com.dali.galery.ViewStrategy

/**
 * Default for ViewStrategy
 */
internal class ViewStrategyDefault : ViewStrategy {

    override fun onDraw(view: View, drawable: Drawable?) {
        when (view) {
            is ImageView -> view.setImageDrawable(drawable)
        }
    }
}