package com.dali.galery.reflection.inflate.data

import android.content.Context
import android.util.AttributeSet
import android.view.View
import com.dali.galery.reflection.FallbackViewCreator

data class InflateRequest(
    @get:JvmName("name")
    val name: String,
    @get:JvmName("context")
    val context: Context,
    @get:JvmName("attrs")
    val attrs: AttributeSet? = null,
    @get:JvmName("parent")
    val parent: View? = null,
    @get:JvmName("fallbackViewCreator")
    val fallbackViewCreator: FallbackViewCreator
)
