package com.dali.galery.utils

internal class PathFormator {

    companion object {
        @JvmStatic
        fun getName(tag: CharSequence, path: String): PathKeeper {
            val stList = tag.split(".")
            if (stList.size == 2) {
                return PathKeeper(stList[0], stList[1], path)
            } else {
                throw RuntimeException("Error in tag $tag, invalid format. The tag must contain a single dot to separate the class name and field")
            }
        }
    }
}